ConfigManager::Engine.routes.draw do
  devise_for 	:admins, 
  						:only => [:sessions],
  						:class_name => "ConfigManager::Admin"

	resources :admins, :except => [:show]
	resources :toggles, :only => [:index, :create, :destroy] do
		collection do
			post :load
			get :dump
		end
	end
	resources :settings, :only => [:index, :create, :destroy] do
		collection do
			post :load
			get :dump
		end
	end

	# change root later
	root :to => "admins#index"
end
