class CreateConfigManagerAdmins < ActiveRecord::Migration
  def change
    create_table :config_manager_admins do |t|
    	t.string :email, :limit => 255, :null => false, :unique => true
    	t.string :encrypted_password, :null => false

      ## Recoverable
      # t.string   :reset_password_token
      # t.datetime :reset_password_sent_at

			## Rememberable
			t.datetime :remember_created_at

			## Trackable - If we want much more session history than this we should break it out into another table
			t.integer :sign_in_count, :default => 0, :null => false
			t.datetime :last_sign_in_at
			t.string :last_sign_in_ip
			t.datetime :current_sign_in_at
			t.string :current_sign_in_ip

      ## Confirmable
      # t.string   :confirmation_token
      # t.datetime :confirmed_at
      # t.datetime :confirmation_sent_at
      # t.string   :unconfirmed_email # Only if using reconfirmable

      ## Lockable
      # t.integer  :failed_attempts, default: 0, null: false # Only if lock strategy is :failed_attempts
      # t.string   :unlock_token # Only if unlock strategy is :email or :both
      # t.datetime :locked_at

			## Audit
			t.timestamps
    end

    add_index :config_manager_admins, :email, :unique => true, :name => "ux_config_manager_admins__email"
    # add_index :config_manager_users, :reset_password_token, unique: true
    # add_index :config_manager_users, :confirmation_token,   unique: true
    # add_index :config_manager_users, :unlock_token,         unique: true
  end
end
