module ConfigManager
  class Engine < ::Rails::Engine
    isolate_namespace ConfigManager

		initializer :append_migrations do |app|
			unless app.root.to_s.match(root.to_s) && false
				config.paths["db/migrate"].expanded.each do |expanded_path|
					app.config.paths["db/migrate"] << expanded_path
				end
			end
		end

		initializer :append_controller_filters do |app|
			ActiveSupport.on_load(:action_controller) do
				include ConfigManager::ControllerHelper
			end
		end

    config.autoload_paths += Dir["#{config.root}/lib/**/"]

    config.generators do |g|
    	g.test_framework :rspec
    	g.fixture_replacement :factory_girl, :dir => 'spec/factories'
    end
  end
end
