module ConfigManager
	module Settings
		module Values
			def self.included(base)
				base.extend ClassMethods
			end

			module ClassMethods
				def value(id)
					(find(id) || build({})).value
				end

				def date_value(id)
					value(id).to_date
				rescue NoMethodError
					nil
				end

				def time_value(id)
					value(id).to_time
				rescue NoMethodError
					nil
				end

				def integer_value(id)
					value(id).to_i
				rescue NoMethodError
					nil
				end

				def number_value(id)
					value(id).to_f
				rescue NoMethodError
					nil
				end
			end
		end
	end
end
